﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            ImageBrush imageBrush = new ImageBrush();

            imageBrush.ImageSource = new BitmapImage(new Uri(@"IMAGE\berries.jpg", UriKind.Relative));

            Button button = new Button();

            button.Width      = 200;
            button.Height     = 100;
            button.Background = imageBrush;
            button.Foreground = Brushes.White;
            button.FontFamily = new FontFamily("Verdana");
            button.FontSize   = 24f;
            button.FontWeight = FontWeights.Bold;
            button.Content    = "Berries";

            Content = button;
        }

        #endregion
    }
}